E-MailRelay

Public Member Functions | List of all members
GNet::DnsBlockServerResult Class Reference

A result structure for one DNSBL server. More...

`#include <gdnsblock.h>`

## Public Member Functions
| DnsBlockServerResult (const std::string &server)
| Constructor. More...
void | set (const std::vector< Address > &)
| Sets the result list(). More...
bool | valid () const
| Returns true if the list() is valid. More...
std::string | server () const
| Returns the server. More...
const std::vector< Address > & | addresses () const
| Returns the result list, which is empty if there is no block or not valid(). More...

## Detailed Description

A result structure for one DNSBL server.

Definition at line 46 of file gdnsblock.h.

## Constructor & Destructor Documentation

## ◆ DnsBlockServerResult()

GNet::DnsBlockServerResult::DnsBlockServerResult | ( | const std::string & | server | ) |
| inline explicit

Constructor.

Definition at line 220 of file gdnsblock.h.

## Member Function Documentation

## ◆ addresses()

const std::vector< GNet::Address > & GNet::DnsBlockServerResult::addresses | ( |  | ) | const
| inline

Returns the result list, which is empty if there is no block or not valid().

Definition at line 246 of file gdnsblock.h.

## ◆ server()

std::string GNet::DnsBlockServerResult::server | ( |  | ) | const
| inline

Returns the server.

Definition at line 240 of file gdnsblock.h.

## ◆ set()

void GNet::DnsBlockServerResult::set | ( | const std::vector< Address > & | addresses | ) |
| inline

Sets the result list().

Definition at line 227 of file gdnsblock.h.

## ◆ valid()

bool GNet::DnsBlockServerResult::valid | ( |  | ) | const
| inline

Returns true if the list() is valid.

Definition at line 234 of file gdnsblock.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsblock.h